import SparkMD5 from 'spark-md5'

function getMD5(file: File):Promise<string> {
    return new Promise(rl => {
        let spark = new SparkMD5();
        let fileReader = new FileReader();
        // if (file.size > 1024 * 1024 * 10) {
        //     var data1 = file.slice(0, 1024 * 1024 * 10); //将文件进行分块 file.slice(start,length)
        //     fileReader.readAsBinaryString(data1); //将文件读取为二进制码
        // } else {
        fileReader.readAsBinaryString(file);
        // }
        fileReader.onload = function (e: any) {
            spark.appendBinary(e.target.result);
            let md5 = spark.end()
            rl(md5)
            // _this.getMd5Checked(md5)
        }
    })
}
export default getMD5